if (CC_JSB) {
  
    function downloadText(url) {
        var result = jsb.fileUtils.getStringFromFile(url);
		
        if (result) {
			
            result.substring(0, result.length - 9);
			
        }
        if (typeof result === "string" && result) {
            return result;
        } else {
            return new Error("Download text failed: " + url);
        }
    }
         /**
     * 加载图片
     *
     * @param {string}  data 可以是图片地址，也开始是图片的Base64编码
     * @param {Function} callback  回调函数
     */
    function loadImage(data, callback) {
        let img = new Image();
        img.src = data;
        img.onload = function (info) {
            callback(null, img);
        };

        img.onerror = function (event) {
            callback(new Error("load image fail:" + img.src), null);
        }; // Don't return anything to use async loading.
    }
    function downloadImage(url, options, callback) {
        //console.log("lqr.downloadImage"+url);
		let dirpath = jsb.fileUtils.getWritablePath();
		let flag = url && (url.indexOf(dirpath) != -1); //为true代表是从服务器下载缓存本地的图片
        if (url.startsWith("http") || flag) {
            // 来自网络的图片，直接加载
            //console.log("lqr.来自网络的图片，直接加载");
            loadImage(url, callback);
        } else {
            // 本地图片，先读取Base64，然后将Base64给Image加载出原图
            let text = downloadText(url);
            //console.log("lqr.text:",text);
            if (text instanceof Error) {
                callback(text, null);
            } else {
                //console.log("lqr.loadImage");
                loadImage(text, callback);
            }
        }
    }

	cc.assetManager.parser.register('.png', downloadImage);
}
